<?php

$haloedb_type     = "mysql";
$haloedb_default  = "haloe";
$haloedb_hostname = "localhost";
$haloedb_username = "haloe";
$haloedb_password = "haloe";

$haloe_config["rows_per_page"] = "30";
$haloe_config["host_rows"] = "25";
$haloe_config["refresh_rate"] = "120";

//  Integrate with Graph View Timespan Selector. If false, keep seperate timespan settings
$haloe_config["graphtime"] = true;

//  Display timespan selector or not [ only used if $haloe_config["graphtime"]=false ]
$haloe_config["timespan_sel"] = true;

//  Field Mappings, adjust to match the haloe table fields in use
$haloe_config["haloeTable"]      = "logs";
$haloe_config["dateField"]       = "date";
$haloe_config["timeField"]       = "time";
$haloe_config["priorityField"]   = "priority";
$haloe_config["facilityField"]   = "facility";
$haloe_config["hostField"]       = "host";
$haloe_config["textField"]       = "msg";


//  Set 1st index to match what gets logged to your db 'priority' field
//  set 'color' => 'rrggbb' to your color preference,
//  set 'level' => 'n' to corresponding level (0-7) [see: rfc3164]
//  example - If your syslog daemon records priority as 'crit' in haloe db then set:
//  "crit"       => array('color' => "FF0000",   'level' => 1, ),
//  instead of [or in addition to]: "Critical"   => array('color' => "FF0000",   'level' => 1, ),

$haloe_priority = array(
"Emergency"  => array('color' => "FF0000",   'level' => 0, ),
"Critical"   => array('color' => "FF0000",   'level' => 1, ),
"Alert"      => array('color' => "FF0000",   'level' => 2, ),
"Error"      => array('color' => "FFAB00",   'level' => 3, ),
"Warning"    => array('color' => "FFFF00",   'level' => 4, ),
"Notice"     => array('color' => "default",  'level' => 5, ),
"Info"       => array('color' => "default",  'level' => 6, ),
"Debug"      => array('color' => "D0D0D0",   'level' => 7, ),
);

?>